阿里云
阿里云多端小程序中小企业获客首选
发表主题 回复主题
  • 9607阅读
  • 2回复

[安全漏洞公告专区]【漏洞公告】CVE-2017-3167等:Apache  httpd 多个安全漏洞

级别: 论坛版主
发帖
241
云币
478
2017年6月19日,Apache httpd被曝出多个安全漏洞,漏洞编号为:CVE-2017-3167, CVE-2017-3169, CVE-2017-7659, CVE-2017-7668, CVE-2017-7679,安全风险较高,阿里安全团队兼用用户尽快查并升级 j n[%@zD}  
具体详情如下:                                  GR&T Z   
                                                
漏洞编号: i&KD)&9b#  
CVE-2017-3167 ;533;(d* o  
CVE-2017-3169 dfkmIO%9X  
CVE-2017-7659 PP{2{  
CVE-2017-7668 @mM])V  
CVE-2017-7679 zQsu~8PX  
漏洞名称: dno=C  
Apache  httpd 多个安全漏洞 Q 5R7se_  
官方评级: d3 h^L  
高危 hN% h.;s  
漏洞描述: p_z_d6?  
  • CVE-2017-3167
第三方模块在身份验证阶段使用ap_get_basic_auth_pw(),会导致绕过身份验证要求。 jTjGbC]X  
  • CVE-2017-3169
T/8*c0mU  
第三方模块在HTTP请求HTTPS端口时,若调用ap_hook_process_connection(),则mod_ssl会间接引用空指针。 ("HT0 &#a  
  • CVE-2017-7659
[p3)C<;ZC  
处理构造的HTTP/2请求时,会造成mod_http2间接引用空指针,或造成服务进程崩溃。 >we/#C"x  
  • CVE-2017-7668
<cTusC<  
在令牌列表解析中存在bug,可使ap_find_token()搜索输入字符串之外的内容,通过构造的请求头序列,攻击者可造成段故障,或强制ap_find_token()返回错误值。 3)SO-Bz\  
  • CVE-2017-7679
ep]tio_  
恶意攻击者发送恶意Content-Type响应头时,mod_mime会造成缓冲区越界读。 Mk-C&#'  
漏洞利用条件和方式: M[9]t("  
远程利用 i,G )kt'H  
漏洞影响范围: {eR,a-D!7  
  • CVE-2017-3167, CVE-2017-3169, CVE-2017-7679:Apache HTTP Web Server 2.2.0 到2.2.32版本
  • CVE-2017-7668:Apache HTTP Web Server 2.2.32
  • CVE-2017-3167, CVE-2017-3169, CVE-2017-7679:Apache HTTP Web Server 2.4.0到2.4.25版本
  • CVE-2017-7659, CVE-2017-7668:Apache HTTP Web Server 2.4.25
漏洞检测:  %trtP  
[[fhfV+H  
自查Apache http版本是否在受影响范围内 cB5|% @$I  
  1. apachectl -v  
  2. 或者
  3. httpd -v
1EW-%GQO  
漏洞修复建议(或缓解措施): U4hsbraz  
4qw&G  
情报来源: E&G_7->  
  • https://httpd.apache.org/security_report.html
]stAC3  
-:txmM T  
R!7emc0T  
$~,]F  
A]nDI:pO|  
?&Y3Fr)%  
#vN\]e  
GnbXS>  
d7o~$4h|  
maANxSzi  
@nN+F,phx  
Ugmg,~U~k  
?3tR(H<  
% ~%>3  
>c~~i-=  
@vf{_g<  
@:DS/#!  
}-{l(8-  
i,/|H]Mzr  
D]+tr%  
"HR &Rf k  
tYt/m6h  
IXp P.d  
Kb%j;y  
bA#E8dlC_  
(bo{vX  
[ 此帖被正禾在2017-06-20 16:11重新编辑 ]
级别: 新人
发帖
1
云币
1
只看该作者 沙发  发表于: 2017-06-22
有没有详细的升级
级别: 论坛版主
发帖
241
云币
478
只看该作者 板凳  发表于: 2017-06-23
回 1楼(ponus) 的帖子
Apache要么编译升级安装,要么使用源更新,每个环境不一样,您可以百度搜索或官方文档看看。
发表主题 回复主题
« 返回列表上一主题下一主题

限100 字节
批量上传需要先选择文件,再选择上传
 
验证问题: 阿里云官网域名是什么? 正确答案:www.aliyun.com
上一个 下一个
      ×
      全新阿里云开发者社区, 去探索开发者的新世界吧!
      一站式的体验,更多的精彩!
      通过下面领域大门,一起探索新的技术世界吧~ (点击图标进入)